Jump to content

Archived

This topic is now archived and is closed to further replies.

gyan000

[SCRIPT] Installation pilote ATI sous Mandriva

Recommended Posts

Bon, il n'y a pas de rpm xorg 6.8 (ou j'ai mal cherché) et j'ai donc essayé a la bourin de mettre les drivers pour xorg 6.8.

Verdict : ca marche pas !!!

voila c'etait juste pour info bonne soirée

Share this post


Link to post
Share on other sites

Intéressant ! donc tu veux dire que les drivers ATI pour xorg 6.8 fonctionne aussi bien pour xorg 6.7 ?

Si c'est le cas je vais devoir modifier le script et cela sera beaucoup mieux comme ça...

Share this post


Link to post
Share on other sites
Intéressant ! donc tu veux dire que les drivers ATI pour xorg 6.8 fonctionne aussi bien pour xorg 6.7 ?

Si c'est le cas je vais devoir modifier le script et cela sera beaucoup mieux comme ça...

heu... je crois que c'est plutôt le contraire :ouioui:

Share this post


Link to post
Share on other sites
Bon, il n'y a pas de rpm xorg 6.8 (ou j'ai mal cherché) et j'ai donc essayé a la bourin de mettre les drivers pour xorg 6.8.

Verdict : ca marche pas !!!

voila c'etait juste pour info bonne soirée

Bas non, ce n'est pas le contraire, puisqu'il dit qu'il n'as pas réussi à installer xorg 6.8 car il n'as pas trouvé le rpm xorg 6.8. Donc d'après ce qu'il dit, il aurait réussi à installé les drivers ATI version Xorg 6.8 pour son serveur graphique xorg 6.7 (mandrake official 10.1 = xorg 6.7).

A moins que j'ai mal compris non ? Cela doit être du à la fatigue.... :transpi:

Share this post


Link to post
Share on other sites

Merci, désolé j'avais mal lu ==> la fatigue hier soir...

Sinon combien de temps cela t'as pris pour installer ces foutus drivers avec le script ?

Share this post


Link to post
Share on other sites

Vu la rapidité fulgurante de ma connexion, le script a mis bien 20 minutes a s'executer (je venais d'installer lla mandrake 10.1 donc y avait beaucoup de truc a telecharger).

Apres le temps de configurer mon ecran qui voulait pas marcher aux bonnes frequences et la sortie tv sans le panneau de controle ati (qui s'installe pas), on va dire a peu pres trois heures :p

Share this post


Link to post
Share on other sites

Merci, je vais corriger l'installation pour le panneau de control ATI.

Par contre tu pourrais m'en dire un peu plus concernant l'installation du panneau de control ATI ?

Quelles sont les genres d'erreurs que tu as eu ?

Quel type de connexion internet possèdes-tu ?

Share this post


Link to post
Share on other sites

Merci pour ton script il est vraiment pratique mais :

J'ai eu un probleme à l'install.

- le script a detecter un mandrake bidouiller

- il m'a desinstaller le kernel-source (qui était le bon)

- il n'arrivait pas è telecharger le kernel-source (pactage introuvable)

- il me reinstalle MESA

- l'interface graphique ne redémarait pas (ecran introuvable je crois)

Ma solution :

j'ai supprimer le desinstalleur de kernel source dans le script et l'installeur (script très bien organisé : felicitation)

J'ai installer kernel-source (sur le cd)

j'ai relancer l'install

Et c'est bon

PS c'était une MAJ des drivers

par contre je sais pas si le pannau de control à fonctionner : il se trouve où ???

Share this post


Link to post
Share on other sites

Un peu d'effort sur l'orthographe, ce serait bien...

Share this post


Link to post
Share on other sites
Merci pour ton script il est vraiment pratique mais :

J'ai eu un probleme à l'install.

- le script a detecter un mandrake bidouiller

- il m'a desinstaller le kernel-source (qui était le bon)

- il n'arrivait pas è telecharger le kernel-source (pactage introuvable)

- il me reinstalle MESA

- l'interface graphique ne redémarait pas (ecran introuvable je crois)

Ma solution :

j'ai supprimer le desinstalleur de kernel source dans le script et l'installeur (script très bien organisé : felicitation)

J'ai installer kernel-source (sur le cd)

j'ai relancer l'install

Et c'est bon

PS c'était une MAJ des drivers

par contre je sais pas si le pannau de control à fonctionner : il se trouve où ???

As-tu insérer le bon CD pour l'installation du kernel-source avant le lancement du script ?

Souvent dans les tutos ati on voit la commande :

urpmi kernel-source et PAF ! urpmi installe les sources d'un noyau 2.4 alors la mandrake 10.1 utilise un noyau 2.6. Après le noob se retrouve devant un écran tout noir et il est perdu...

Donc, c'est normal que le script désinstalle le kernel-source avant de d'installer celui qui convient bien. J'ai fait ça afin de supprimer des sources kernel v2.4 (enfin pour ceux qui aurait bidouiller leur mandrake).

Sinon pour la mise à jour, tu n'as pas en t'en faire, le script désinstalle d'abord les drivers existant et met en place ceux défini dans le script.

Une version DVD de mandrake convient mieux pour ce script.

Pour le panneau de control : Tapes juste fireglcontrol dans un terminal (mais à mon avis vu les posts précédent, le script n'as certainment pas réussi à compiler correctment le panneau de control). Essaye et confirme moi l'information.

Merci pour le compliment...

Share this post


Link to post
Share on other sites

merci encore

Il me semble que j'avais le CD3 dans le lecteur mais j'ai pu me tromper (de CD).

Sinon la panneau de control ne c'est effectivment pas installé mais bon pour ce qu'il permet de faire c'est pas bien grave.

Et vive cette nouvelle version des drivers : plus de bug dans ET ni screamer 4x4 (cedega)

Share this post


Link to post
Share on other sites
Merci pour ton script il est vraiment pratique mais :

J'ai eu un probleme à l'install.

- le script a detecter un mandrake bidouiller

- il m'a desinstaller le kernel-source (qui était le bon)

- il n'arrivait pas è telecharger le kernel-source (pactage introuvable)

- il me reinstalle MESA

- l'interface graphique ne redémarait pas (ecran introuvable je crois)

Ma solution :

j'ai supprimer le desinstalleur de kernel source dans le script et l'installeur (script très bien organisé : felicitation)

J'ai installer kernel-source (sur le cd)

j'ai relancer l'install

Et c'est bon

[g]PS c'était une MAJ des drivers[/g]

par contre je sais pas si le pannau de control à fonctionner : il se trouve où ???

C'etait pour une mise a jour des drivers ati ?

Et ca a bien marché ?

J'ai installé xorg 6.8 (sans probleme, c'est du gateau a installer a coté des drivers ati) et je cherche a mettre les drivers qui vont avec, mais une fois installés fglrxinfo me dit toujours que j'ai les drivers fglrx-4.3.0, et dans le log de xorg j'ai toujours les

(II) fglrx(0): driver needs XFree86 version: 4.3.x

(WW) fglrx(0): could not detect XFree86 version (query_status=-3)

Si quelqu'un a une aide a fournir je suis preneur.

Je vais essayer de modifier le script pour faire mon installation, il y a peut etre une etape que j'ai manquée, mais la je vois pas :8 .

Y en a marre d' ATI :transpi:

Share this post


Link to post
Share on other sites

Donne moi le retour de la commande : X -version

Ensuite as-tu utilisé le script pour tout résinstaller les drivers ati ?

As-tu mandrake version DVD ?

Le script desinstalle les drivers avant de les réinstaller. Mais avant il va télécharger la bonne version des drivers, pour ton Cas xorg 6.8, si tu es vraiment en xorg 6.8....

Tu ne risques rien à lancer script tel quel (en plus le panneau de control devrait fonctionner maintenant, petite modif de derrière les fagos).

Share this post


Link to post
Share on other sites

X Window System Version 6.8.2

Release Date: 9 February 2005

X Protocol Version 11, Revision 0, Release 6.8.2

Build Operating System: Linux 2.6.8.1-20mdk i686 [ELF]

Current Operating System: Linux localhost 2.6.8.1-12mdk #1 Fri Oct 1 12:53:41 CEST 2004 i686

Build Date: 17 February 2005

        Before reporting problems, check http://wiki.X.Org

        to make sure that you have the latest version.

Module Loader present

Merci de repondre si vite c'est cool :-)

J'avoue que j'ai pas reutilisé le script pour reinstaller mais j'ai regardé dedans et je m'en suis inspiré.

En gros j'ai fait

init 3

rmmod fglrx

rmmod nvidia-agp

urpme -a fglrx

rpm -Uvh --force fglrx.6.8  # je me rappelle plus du nom exact mais c'est ok

cd /lib/modules/fglrx/build_mod

chmod +x make.sh

./make.sh

cd ../

chmod +x make_install.sh

./make_install.sh

modprobe nvidia-agp

modprobe fglrx

init 5

tiens j'ai trouvé une option planquée dans le script make_install.sh

il faut mettre verbose en deuxieme argument, et n'importe quoi en premier, il ne sert a rien.

Je vais reasseyer pllus tard l'installation, mais ce soir je vais plus avoir le temps.

Encore merci :chinois:

Share this post


Link to post
Share on other sites

Bon bah je suis un acharné, j'ai essayé, et ca marche pas !!!

J'avais essayé aussi de virer tout ce qui s'appelait fglrx apres avoir desinstallé le rpm, mais ca ne suffit pas non plus. Et il n'y a aucun log :-( .

Bon sur ce bonne soirée.

Share this post


Link to post
Share on other sites
init 3

rmmod fglrx

rmmod nvidia-agp

urpme -a fglrx

rpm -Uvh --force fglrx.6.8  # je me rappelle plus du nom exact mais c'est ok

cd /lib/modules/fglrx/build_mod

chmod +x make.sh

./make.sh

cd ../

chmod +x make_install.sh

./make_install.sh

modprobe nvidia-agp

modprobe fglrx

init 5

tu as oublié de refaire le xorg.conf

mais sinon, c'est ça :chinois:

et pour les log, ce sont les EE du /var/log/Xorg.0.log qu'il nous faut :ouioui:

Share this post


Link to post
Share on other sites

EDIT : autant pour moi , faut que j'apprenne a lire !

meme erreur pour moi en fait !

j'ai du virer toute trace de la precedente version

(de sorte que locate fglrx ne donne aucun resultat)

j'ai eu trop de mal en fait !

donc il me semble que le script marcherais seulement pour un premiere install

Share this post


Link to post
Share on other sites
C'etait pour une mise a jour des drivers ati ?

Et ca a bien marché ?

J'ai installé xorg 6.8 (sans probleme, c'est du gateau a installer a coté des drivers ati) et je cherche a mettre les drivers qui vont avec, mais une fois installés fglrxinfo me dit toujours que j'ai les drivers fglrx-4.3.0, et dans le log de xorg j'ai toujours les

Si quelqu'un a une aide a fournir je suis preneur.

Je vais essayer de modifier le script pour faire mon installation, il y a peut etre une etape que j'ai manquée, mais la je vois pas  :-D  .

Y en a marre d' ATI  :francais:

oui c'étair une mis à jour, ca marche super !!!

et y'en a pas marre d'ati

y'en a marre des drivers ati

:kimouss:

Share this post


Link to post
Share on other sites

Bon, j'ai trouvé le bug qui empêche la mise à jour des drivers ATI vers une migration de xorg 6.7 ==> xorg 6.8.x

Il faut tout simplement remplacer dans le script la ligne ci-dessous :

export xorg_version=`X -version 2>&1 |grep Version|awk -F"Release " '{ print $2 }'`

par

export xorg_version=`X -version 2>&1 |grep "X Protocol Version"|awk -F"Release " '{ print $2 }'`

En fait, ce changement de ligne améliore considérablement la détection de version du serveur graphique.

Encore une gros merci à tout ceux qui font évoluer le script.

Correction du script et mise à jour, prévu ce soir à 20h.

Share this post


Link to post
Share on other sites

MAJ 07/03/2005 :

- Correction d'un bug empêchant l'installation des drivers ATI sur une mandrake ayant un serveur graphique Xorg 6.8.x.

- Amélioration de la détection de la version de serveur graphique

- Correction de l'installation du panneau de control ATI (maintenant cela devrait être bon, pas testé)

Le bug venait d'une mauvaise détection de la version du serveur graphique.

Exemple :

X -version (Xorg v6.7)

Release Date: 18 December 2003

X Protocol Version 11, Revision 0, Release 6.7

Build Operating System: Linux 2.4.19-44mdkenterprise i686 [ELF]

Current Operating System: Linux localhost 2.6.8.1-24mdk #1 Fri Jan 14 03:01:00 MST 2005 i686

Build Date: 18 November 2004

      Before reporting problems, check http://wiki.X.Org

      to make sure that you have the latest version.

Module Loader present

X -version (Xorg v6.:chinois:

X Window System Version 6.8.2

Release Date: 9 February 2005

X Protocol Version 11, Revision 0, Release 6.8.2

Build Operating System: Linux 2.6.8.1-20mdk i686 [ELF]

Current Operating System: Linux localhost 2.6.8.1-12mdk #1 Fri Oct 1 12:53:41 CEST 2004 i686

Build Date: 17 February 2005

        Before reporting problems, check http://wiki.X.Org

        to make sure that you have the latest version.

Module Loader present

Mon script effectuait une recherche sur le mot "Version", or on remarque entre Xorg 6.7 et Xorg v6.8, il y a 2 fois l'occurence "Version" dans le dernier exemple.

Je tiens à préciser que mon script peut désormais (sauf avis contraire ou bugs bloquants) servir de mise à jour lors d'un changement de version de Xorg 6.7.x vers Xorg 6.8.x

Share this post


Link to post
Share on other sites

Mon accélération matérielle avait disparu (je ne sais pas pourquoi)

J'ai donc testé la nouvelle version du script.

L'accélération refonctionne mais :

- J'ai à nouveaux eu le problème du kernel-source. Le script me l'a désinstallé et ne pouvais pas le télécharger/installer (CD 3 inséré)

- Je n'ai rien vu à propos de Xorg 6.8

- Le panneau de contrôle

$ fireglcontrol

bash: fireglcontrol: command not found

y'a t'il une autre facon de le lancer ?

Share this post


Link to post
Share on other sites

Bonsoir,

J'ai essayé le script de lebarjoe, mais dès le lancement la machine me dit :

./install_ati_drivers.sh: line 1: lspci: command not found

J'ai une Mandrakelinux 10.1 (Official) for i586

Le script sort ensuite:

Type de PC    : i686

Noyau utilisé  : 2.6.8.1-12mdksmp

Version Xorg  : 6.7

Carte graphique :

Chipset AGP    :

Installation des drivers ATI 8.10.19

./install_ati_drivers.sh: line 1: lspci: command not found

Usage: modprobe (et tout un tas d'injures qui m'expliquent comment utiliser modprobe)

Le chipset AGP de la carte mère n'a pas pu être détecté.

Pour connaître votre chipset, tapez la commande suivante : lspci |grep "Host bridge:"

En cohérence avec le message ci-dessus, évidemment quand j'essaie cette commande, la machine me répond:

-bash: lspci: command not found

Je ne sais donc pas quoi mettre après modprobe et je suis bloqué !

Peut-être une piste : ma carte graphique est une ATI300 sur PCI-Express, pas AGP.

Merci pour un coup de pouce !

Jerame

Share this post


Link to post
Share on other sites

ça peut paraître idiot comme question, mais je voudrais être sûr : le script, tu le lances en root? :craint:

Share this post


Link to post
Share on other sites

×
×
  • Create New...